Bug 1214357 - Review Request: dist-git - Package source version control system
Summary: Review Request: dist-git - Package source version control system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-22 14:11 UTC by Adam Samalik
Modified: 2015-05-29 21:46 UTC (History)
3 users (show)

Fixed In Version: dist-git-0.11-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-26 03:23:33 UTC
Type: ---
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Adam Samalik 2015-04-22 14:11:16 UTC
Spec URL: https://asamalik.fedorapeople.org/dist-git/dist-git.spec
SRPM URL: https://asamalik.fedorapeople.org/dist-git/dist-git-0.7-1.fc21.src.rpm
Description: Dist Git is a remote Git repository specifically designed to hold RPM package sources.
Fedora Account System Username: asamalik

Comment 1 Miroslav Suchý 2015-04-23 09:07:43 UTC
> %config(noreplace)     %{_sysconfdir}/httpd/conf.d/ssl.conf.example
I would either leave out (noreplace) or I would put it in %doc directory (and remove %config completly).


> %config                %{_unitdir}/dist-git@.service
> %config                %{_unitdir}/dist-git.socket

This should not be config at all.

> /var/lib/dist-git/gitolite/hooks/common
is listed twice.
Because
%attr (770, -, packager)          %{_sharedstatedir}/dist-git/gitolite/hooks
include this dir and *everything* below.
So either put there %dir or remove that subdirectory

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /var/lib/dist-git/git, /usr/share
     /dist-git, /var/lib/dist-git, /var/lib/dist-git/gitolite/local, /var/lib
     /dist-git/gitolite, /var/lib/dist-git/cache, /etc/cron.d, /var/lib/dist-
     git/web, /etc/httpd/conf.d/dist-git, /var/lib/dist-git/cache/lookaside,
     /etc/cron.d/dist-git, /etc/dist-git

> dist-git.noarch: W: dangling-symlink /var/lib/dist-git/git/.gitolite /var/lib/dist-git/gitolite
>dist-git.noarch: E: zero-length /var/lib/dist-git/gitolite/hooks/common/update
> dist-git.noarch: E: script-without-shebang /var/lib/dist-git/gitolite/hooks/common/update

> dist-git.noarch: W: no-documentation
Since you are upstream, can you put there COPYING file where you would state which files are under which license and LICENSE files with all licenses used?
And mark those files as %license
Additionaly provided README you have in github as %doc would be nice too.

Is this intentional?

Comment 2 Adam Samalik 2015-04-23 12:59:31 UTC
Thank you for the feedback. I have fixed all the issues and described them below.
Spec URL: https://asamalik.fedorapeople.org/dist-git/dist-git.spec
SRPM URL: https://asamalik.fedorapeople.org/dist-git/dist-git-0.8-1.fc21.src.rpm


Changes in %files section:
 - %config(noreplace)     %{_sysconfdir}/httpd/conf.d/ssl.conf.example
 + %config                %{_sysconfdir}/httpd/conf.d/ssl.conf.example

 - %config                %{_unitdir}/dist-git@.service
 + %{_unitdir}/dist-git@.service

 - %config                %{_unitdir}/dist-git.socket
 + %{_unitdir}/dist-git.socket

/var/lib/dist-git/gitolite/hooks/common is not listed twice anymore

All directories are owned by the package. Fixed for:
     /var/lib/dist-git/git, /usr/share
     /dist-git, /var/lib/dist-git, /var/lib/dist-git/gitolite/local, /var/lib
     /dist-git/gitolite, /var/lib/dist-git/cache, /etc/cron.d, /var/lib/dist-
     git/web, /etc/httpd/conf.d/dist-git, /var/lib/dist-git/cache/lookaside,
     /etc/cron.d/dist-git, /etc/dist-git

New files: COPYING ,LICENSE

> dist-git.noarch: W: dangling-symlink /var/lib/dist-git/git/.gitolite /var/lib/dist-git/gitolite
That's because I wanted to store gitolite files on one place as they contain some git hooks and generated gitolite configuration. Scrips uses the original path "/var/lib/dist-git/gitolite". The gitolite itself, however, expects this directory under ~/.gitolite. It is also following the original design of dist-git.

>dist-git.noarch: E: zero-length /var/lib/dist-git/gitolite/hooks/common/update
> dist-git.noarch: E: script-without-shebang /var/lib/dist-git/gitolite/hooks/common/update
Gitolite, for some reason, needs this file created in advance.

Comment 3 Adam Samalik 2015-04-23 14:19:28 UTC
Spec URL: https://asamalik.fedorapeople.org/dist-git/dist-git.spec
SRPM URL: https://asamalik.fedorapeople.org/dist-git/dist-git-0.9-1.fc21.src.rpm

The file /var/lib/dist-git/gitolite/hooks/common/update is not needed.

Comment 4 Miroslav Suchý 2015-04-26 10:47:51 UTC
However the program create it, so it should be owned with:

%ghost %attr (775, gen-acls, packager)  %{_sharedstatedir}/dist-git/gitolite/hooks/common/update

Comment 5 Miroslav Suchý 2015-04-26 11:03:14 UTC
Additionally instead of:
  Requires:       perl-Sys-Syslog
should be:
  Requires:       perl(Sys::Syslog)

Comment 7 Miroslav Suchý 2015-04-27 08:11:42 UTC
APPROVED

Comment 8 Adam Samalik 2015-04-27 08:28:46 UTC
New Package SCM Request
=======================
Package Name: dist-git
Short Description: Package source version control system
Upstream URL: https://github.com/release-engineering/dist-git
Owners: asamalik
Branches: f21 f22 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2015-04-27 13:18:33 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-04-29 12:37:02 UTC
dist-git-0.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dist-git-0.10-1.fc21

Comment 11 Fedora Update System 2015-04-29 12:37:55 UTC
dist-git-0.10-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dist-git-0.10-1.fc22

Comment 12 Fedora Update System 2015-04-29 12:38:29 UTC
dist-git-0.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dist-git-0.10-1.el7

Comment 13 Fedora Update System 2015-04-29 19:20:31 UTC
dist-git-0.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 14 Fedora Update System 2015-05-07 09:05:42 UTC
dist-git-0.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dist-git-0.11-1.fc21

Comment 15 Fedora Update System 2015-05-07 09:07:28 UTC
dist-git-0.11-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dist-git-0.11-1.el7

Comment 16 Fedora Update System 2015-05-07 09:08:43 UTC
dist-git-0.11-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dist-git-0.11-1.fc22

Comment 17 Fedora Update System 2015-05-26 03:23:33 UTC
dist-git-0.11-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-05-26 03:54:04 UTC
dist-git-0.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-05-29 21:46:21 UTC
dist-git-0.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.